Skip to main content

Validate task draft

POST
/ai/gateway/tasks/draft/validate

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectTask draft to validate (a task object or { task: {...} })
  • {}

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid task draftobject
401
API key is missing or invalidobject
403
Required tasks:draft scope is missing or the object is outside the allowlistobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }